## circle

circle — Warps the picture into an arc shaped form

## Synopsis

    struct              GstCircle;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstCircleGeometricTransform
                                                 +----GstCircle

## Properties

      "angle"                    gdouble               : Read / Write
      "height"                   gint                  : Read / Write
      "spread-angle"             gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstCircle

    struct GstCircle;

## Property Details

### The `"angle"` property

      "angle"                    gdouble               : Read / Write

Angle at which the arc starts in radians.

Default value: 0

### The `"height"` property

      "height"                   gint                  : Read / Write

Height of the arc.

Allowed values: >= 0

Default value: 20

### The `"spread-angle"` property

      "spread-angle"             gdouble               : Read / Write

Length of the arc in radians.

Default value: 3.14159